
_Tone1:

;Fmandelbrotv1.c,32 :: 		void Tone1()
;Fmandelbrotv1.c,34 :: 		LATE.F0=0;
	BCF         LATE2_bit, 0 
;Fmandelbrotv1.c,35 :: 		Sound_Play(800, 2000); // Frec = 800Hz, time = 2000ms
	MOVLW       32
	MOVWF       FARG_Sound_Play_freq_in_hz+0 
	MOVLW       3
	MOVWF       FARG_Sound_Play_freq_in_hz+1 
	MOVLW       208
	MOVWF       FARG_Sound_Play_duration_ms+0 
	MOVLW       7
	MOVWF       FARG_Sound_Play_duration_ms+1 
	CALL        _Sound_Play+0, 0
;Fmandelbrotv1.c,36 :: 		}
L_end_Tone1:
	RETURN      0
; end of _Tone1

_main:

;Fmandelbrotv1.c,38 :: 		void main()
;Fmandelbrotv1.c,41 :: 		double aa,bb,x,y,t, n=21;
	MOVLW       0
	MOVWF       main_n_L0+0 
	MOVLW       0
	MOVWF       main_n_L0+1 
	MOVLW       40
	MOVWF       main_n_L0+2 
	MOVLW       131
	MOVWF       main_n_L0+3 
;Fmandelbrotv1.c,45 :: 		OSCCON.IRCF0=1;
	BSF         IRCF2_bit, 4 
;Fmandelbrotv1.c,46 :: 		OSCCON.IRCF1=1;
	BSF         IRCF2_bit, 5 
;Fmandelbrotv1.c,47 :: 		OSCCON.IRCF2=1;
	BSF         IRCF2_bit, 6 
;Fmandelbrotv1.c,57 :: 		PLLEN_bit = 0; // 0 Off   1 On      16MHz x 4=32MHz
	BCF         TUN5_bit, 6 
;Fmandelbrotv1.c,63 :: 		ANSELA =0;                              // Configure AN pins as digital I/O
	CLRF        ANSA5_bit 
;Fmandelbrotv1.c,64 :: 		ANSELB =0;
	CLRF        ANSB5_bit 
;Fmandelbrotv1.c,65 :: 		ANSELC =0;
	CLRF        ANSC7_bit 
;Fmandelbrotv1.c,66 :: 		ANSELD =0;
	CLRF        ANSD7_bit 
;Fmandelbrotv1.c,67 :: 		ANSELE =0;
	CLRF        ANSE2_bit 
;Fmandelbrotv1.c,69 :: 		TRISE.F0=0;
	BCF         TRISE0_bit, 0 
;Fmandelbrotv1.c,70 :: 		TRISC.F2=0;
	BCF         TRISC0_bit, 2 
;Fmandelbrotv1.c,71 :: 		Sound_Init(&PORTC, 2);
	MOVLW       130
	MOVWF       FARG_Sound_Init_snd_port+0 
	MOVLW       15
	MOVWF       FARG_Sound_Init_snd_port+1 
	MOVLW       2
	MOVWF       FARG_Sound_Init_snd_pin+0 
	CALL        _Sound_Init+0, 0
;Fmandelbrotv1.c,73 :: 		Glcd_Init();
	CALL        _Glcd_Init+0, 0
;Fmandelbrotv1.c,74 :: 		Glcd_Fill(0x00);         // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Fmandelbrotv1.c,81 :: 		Glcd_Write_Text("Mandelbrot Set", 1, 1, 1);
	MOVLW       ?lstr1_Fmandelbrotv1+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_Fmandelbrotv1+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Fmandelbrotv1.c,85 :: 		while(1)
L_main0:
;Fmandelbrotv1.c,88 :: 		Tone1();
	CALL        _Tone1+0, 0
;Fmandelbrotv1.c,89 :: 		LATE.F0=1;
	BSF         LATE2_bit, 0 
;Fmandelbrotv1.c,91 :: 		for(B=0;B<=4*n;B++)
	CLRF        main_B_L0+0 
	CLRF        main_B_L0+1 
L_main2:
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	MOVF        main_n_L0+0, 0 
	MOVWF       R4 
	MOVF        main_n_L0+1, 0 
	MOVWF       R5 
	MOVF        main_n_L0+2, 0 
	MOVWF       R6 
	MOVF        main_n_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        main_B_L0+0, 0 
	MOVWF       R0 
	MOVF        main_B_L0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       N_bit, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_main3
;Fmandelbrotv1.c,93 :: 		bb=2-(B/n);
	MOVF        main_B_L0+0, 0 
	MOVWF       R0 
	MOVF        main_B_L0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        main_n_L0+0, 0 
	MOVWF       R4 
	MOVF        main_n_L0+1, 0 
	MOVWF       R5 
	MOVF        main_n_L0+2, 0 
	MOVWF       R6 
	MOVF        main_n_L0+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       128
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       main_bb_L0+0 
	MOVF        R1, 0 
	MOVWF       main_bb_L0+1 
	MOVF        R2, 0 
	MOVWF       main_bb_L0+2 
	MOVF        R3, 0 
	MOVWF       main_bb_L0+3 
;Fmandelbrotv1.c,94 :: 		for(A=0; A<=4*n;A++)
	CLRF        main_A_L0+0 
	CLRF        main_A_L0+1 
L_main5:
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	MOVF        main_n_L0+0, 0 
	MOVWF       R4 
	MOVF        main_n_L0+1, 0 
	MOVWF       R5 
	MOVF        main_n_L0+2, 0 
	MOVWF       R6 
	MOVF        main_n_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        main_A_L0+0, 0 
	MOVWF       R0 
	MOVF        main_A_L0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       N_bit, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_main6
;Fmandelbrotv1.c,96 :: 		aa=-2+(A/n);
	MOVF        main_A_L0+0, 0 
	MOVWF       R0 
	MOVF        main_A_L0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        main_n_L0+0, 0 
	MOVWF       R4 
	MOVF        main_n_L0+1, 0 
	MOVWF       R5 
	MOVF        main_n_L0+2, 0 
	MOVWF       R6 
	MOVF        main_n_L0+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       128
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       main_aa_L0+0 
	MOVF        R1, 0 
	MOVWF       main_aa_L0+1 
	MOVF        R2, 0 
	MOVWF       main_aa_L0+2 
	MOVF        R3, 0 
	MOVWF       main_aa_L0+3 
;Fmandelbrotv1.c,97 :: 		x=0;
	CLRF        main_x_L0+0 
	CLRF        main_x_L0+1 
	CLRF        main_x_L0+2 
	CLRF        main_x_L0+3 
;Fmandelbrotv1.c,98 :: 		y=0;
	CLRF        main_y_L0+0 
	CLRF        main_y_L0+1 
	CLRF        main_y_L0+2 
	CLRF        main_y_L0+3 
;Fmandelbrotv1.c,99 :: 		for(i=1;i<=1000;i++)
	MOVLW       1
	MOVWF       main_i_L0+0 
	MOVLW       0
	MOVWF       main_i_L0+1 
L_main8:
	MOVLW       128
	XORLW       3
	MOVWF       R0 
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       N_bit, 2 
	GOTO        L__main15
	MOVF        main_i_L0+0, 0 
	SUBLW       232
L__main15:
	BTFSS       N_bit, 0 
	GOTO        L_main9
;Fmandelbrotv1.c,101 :: 		t=x;
	MOVF        main_x_L0+0, 0 
	MOVWF       main_t_L0+0 
	MOVF        main_x_L0+1, 0 
	MOVWF       main_t_L0+1 
	MOVF        main_x_L0+2, 0 
	MOVWF       main_t_L0+2 
	MOVF        main_x_L0+3, 0 
	MOVWF       main_t_L0+3 
;Fmandelbrotv1.c,103 :: 		x=(x*x)-(y*y)+aa;
	MOVF        main_x_L0+0, 0 
	MOVWF       R0 
	MOVF        main_x_L0+1, 0 
	MOVWF       R1 
	MOVF        main_x_L0+2, 0 
	MOVWF       R2 
	MOVF        main_x_L0+3, 0 
	MOVWF       R3 
	MOVF        main_x_L0+0, 0 
	MOVWF       R4 
	MOVF        main_x_L0+1, 0 
	MOVWF       R5 
	MOVF        main_x_L0+2, 0 
	MOVWF       R6 
	MOVF        main_x_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        main_y_L0+0, 0 
	MOVWF       R0 
	MOVF        main_y_L0+1, 0 
	MOVWF       R1 
	MOVF        main_y_L0+2, 0 
	MOVWF       R2 
	MOVF        main_y_L0+3, 0 
	MOVWF       R3 
	MOVF        main_y_L0+0, 0 
	MOVWF       R4 
	MOVF        main_y_L0+1, 0 
	MOVWF       R5 
	MOVF        main_y_L0+2, 0 
	MOVWF       R6 
	MOVF        main_y_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        main_aa_L0+0, 0 
	MOVWF       R4 
	MOVF        main_aa_L0+1, 0 
	MOVWF       R5 
	MOVF        main_aa_L0+2, 0 
	MOVWF       R6 
	MOVF        main_aa_L0+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       main_x_L0+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       main_x_L0+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       main_x_L0+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       main_x_L0+3 
;Fmandelbrotv1.c,106 :: 		y=(2*t*y)+bb;
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       128
	MOVWF       R3 
	MOVF        main_t_L0+0, 0 
	MOVWF       R4 
	MOVF        main_t_L0+1, 0 
	MOVWF       R5 
	MOVF        main_t_L0+2, 0 
	MOVWF       R6 
	MOVF        main_t_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        main_y_L0+0, 0 
	MOVWF       R4 
	MOVF        main_y_L0+1, 0 
	MOVWF       R5 
	MOVF        main_y_L0+2, 0 
	MOVWF       R6 
	MOVF        main_y_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        main_bb_L0+0, 0 
	MOVWF       R4 
	MOVF        main_bb_L0+1, 0 
	MOVWF       R5 
	MOVF        main_bb_L0+2, 0 
	MOVWF       R6 
	MOVF        main_bb_L0+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+4 
	MOVF        R1, 0 
	MOVWF       FLOC__main+5 
	MOVF        R2, 0 
	MOVWF       FLOC__main+6 
	MOVF        R3, 0 
	MOVWF       FLOC__main+7 
	MOVF        FLOC__main+4, 0 
	MOVWF       main_y_L0+0 
	MOVF        FLOC__main+5, 0 
	MOVWF       main_y_L0+1 
	MOVF        FLOC__main+6, 0 
	MOVWF       main_y_L0+2 
	MOVF        FLOC__main+7, 0 
	MOVWF       main_y_L0+3 
;Fmandelbrotv1.c,108 :: 		if( (x*x)+(y*y)>4 )
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+4, 0 
	MOVWF       R0 
	MOVF        FLOC__main+5, 0 
	MOVWF       R1 
	MOVF        FLOC__main+6, 0 
	MOVWF       R2 
	MOVF        FLOC__main+7, 0 
	MOVWF       R3 
	MOVF        FLOC__main+4, 0 
	MOVWF       R4 
	MOVF        FLOC__main+5, 0 
	MOVWF       R5 
	MOVF        FLOC__main+6, 0 
	MOVWF       R6 
	MOVF        FLOC__main+7, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC__main+0, 0 
	MOVWF       R4 
	MOVF        FLOC__main+1, 0 
	MOVWF       R5 
	MOVF        FLOC__main+2, 0 
	MOVWF       R6 
	MOVF        FLOC__main+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       129
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       N_bit, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       N_bit, 2 
	GOTO        L_main11
;Fmandelbrotv1.c,110 :: 		break;
	GOTO        L_main9
;Fmandelbrotv1.c,111 :: 		}
L_main11:
;Fmandelbrotv1.c,99 :: 		for(i=1;i<=1000;i++)
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;Fmandelbrotv1.c,112 :: 		}
	GOTO        L_main8
L_main9:
;Fmandelbrotv1.c,113 :: 		if(i==1001)
	MOVF        main_i_L0+1, 0 
	XORLW       3
	BTFSS       N_bit, 2 
	GOTO        L__main16
	MOVLW       233
	XORWF       main_i_L0+0, 0 
L__main16:
	BTFSS       N_bit, 2 
	GOTO        L_main12
;Fmandelbrotv1.c,114 :: 		Glcd_Dot(A, B, 1);
	MOVF        main_A_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        main_B_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
L_main12:
;Fmandelbrotv1.c,94 :: 		for(A=0; A<=4*n;A++)
	INFSNZ      main_A_L0+0, 1 
	INCF        main_A_L0+1, 1 
;Fmandelbrotv1.c,115 :: 		}
	GOTO        L_main5
L_main6:
;Fmandelbrotv1.c,91 :: 		for(B=0;B<=4*n;B++)
	INFSNZ      main_B_L0+0, 1 
	INCF        main_B_L0+1, 1 
;Fmandelbrotv1.c,116 :: 		}
	GOTO        L_main2
L_main3:
;Fmandelbrotv1.c,117 :: 		}
	GOTO        L_main0
;Fmandelbrotv1.c,118 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
