#line 1 "C:/Users/Public/Documents/Mikroelektronika/Fmandelbrotv1/Fmandelbrotv1.c"
#line 14 "C:/Users/Public/Documents/Mikroelektronika/Fmandelbrotv1/Fmandelbrotv1.c"
char GLCD_DataPort at PORTD;

sbit GLCD_CS1 at RB0_bit;
sbit GLCD_CS2 at RB1_bit;
sbit GLCD_RS at RB2_bit;
sbit GLCD_RW at RB3_bit;
sbit GLCD_EN at RB4_bit;
sbit GLCD_RST at RB5_bit;

sbit GLCD_CS1_Direction at TRISB0_bit;
sbit GLCD_CS2_Direction at TRISB1_bit;
sbit GLCD_RS_Direction at TRISB2_bit;
sbit GLCD_RW_Direction at TRISB3_bit;
sbit GLCD_EN_Direction at TRISB4_bit;
sbit GLCD_RST_Direction at TRISB5_bit;



void Tone1()
 {
 LATE.F0=0;
 Sound_Play(800, 2000);
 }

void main()
 {

double aa,bb,x,y,t, n=21;
int A,B,i;


 OSCCON.IRCF0=1;
 OSCCON.IRCF1=1;
 OSCCON.IRCF2=1;
#line 57 "C:/Users/Public/Documents/Mikroelektronika/Fmandelbrotv1/Fmandelbrotv1.c"
 PLLEN_bit = 0;





 ANSELA =0;
 ANSELB =0;
 ANSELC =0;
 ANSELD =0;
 ANSELE =0;

 TRISE.F0=0;
 TRISC.F2=0;
 Sound_Init(&PORTC, 2);

 Glcd_Init();
 Glcd_Fill(0x00);
#line 81 "C:/Users/Public/Documents/Mikroelektronika/Fmandelbrotv1/Fmandelbrotv1.c"
 Glcd_Write_Text("Mandelbrot Set", 1, 1, 1);



 while(1)
 {

 Tone1();
 LATE.F0=1;

 for(B=0;B<=4*n;B++)
 {
 bb=2-(B/n);
 for(A=0; A<=4*n;A++)
 {
 aa=-2+(A/n);
 x=0;
 y=0;
 for(i=1;i<=1000;i++)
 {
 t=x;

 x=(x*x)-(y*y)+aa;


 y=(2*t*y)+bb;

 if( (x*x)+(y*y)>4 )
 {
 break;
 }
 }
 if(i==1001)
 Glcd_Dot(A, B, 1);
 }
 }
 }
 }
